> For the complete documentation index, see [llms.txt](https://docs.bugsplat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bugsplat.com/api-reference/api.md).

# Web Application Endpoints

BugSplat provides RESTful web services to access data on our backend. The BugSplat database should be selected using the "database" URL parameter. Data is returned in JSON format. Authentication is required for all endpoints. See the curl example at the end of this page for an illustration of this process.

Want to see our API in action? Open your web browser inspector to see how our web application uses the endpoints below!

Most API endpoints support a "database={name}" parameter to specify which BugSplat database to use. Without this parameter, the current (default) database will be selected.

{% content-ref url="/pages/bznXWocg5wuZOLFXaiGT" %}
[Deprecated](https://docs.bugsplat.com/api-reference/api/charting.md)
{% endcontent-ref %}

{% content-ref url="/pages/LL6nFWDMG7TgAHYbPTNY" %}
[Company](https://docs.bugsplat.com/api-reference/api/company.md)
{% endcontent-ref %}

{% content-ref url="/pages/4ZOoBhIru4qR8fJlmVr6" %}
[Crash](https://docs.bugsplat.com/api-reference/api/crash.md)
{% endcontent-ref %}

{% content-ref url="/pages/LBFo1nqtPgH5NRFnkDAP" %}
[Crashes](https://docs.bugsplat.com/api-reference/api/crashes.md)
{% endcontent-ref %}

{% content-ref url="/pages/KydYmIYxXeUot8ou3FPd" %}
[Crash Groups](https://docs.bugsplat.com/api-reference/api/crash-groups.md)
{% endcontent-ref %}

{% content-ref url="/pages/wI0wUEa8jYwmRCU1CutL" %}
[Databases](https://docs.bugsplat.com/api-reference/api/databases.md)
{% endcontent-ref %}

{% content-ref url="/pages/op210cSQ2AZeXkG7uOmO" %}
[Defect](https://docs.bugsplat.com/api-reference/api/defect.md)
{% endcontent-ref %}

{% content-ref url="/pages/iFEiJWtICP846ELmJDYA" %}
[Events](https://docs.bugsplat.com/api-reference/api/events.md)
{% endcontent-ref %}

{% content-ref url="/pages/b0FhNLuq92LfZ1kiV1hP" %}
[Support Response](https://docs.bugsplat.com/api-reference/api/support-response.md)
{% endcontent-ref %}

{% content-ref url="/pages/C8WUSsCkwwSStlqQYYnI" %}
[Symbols](https://docs.bugsplat.com/api-reference/api/symbols.md)
{% endcontent-ref %}

{% content-ref url="/pages/N2e9Cp2Ix8CpjkoSlPdY" %}
[User (GDPR)](https://docs.bugsplat.com/api-reference/api/user-gdpr.md)
{% endcontent-ref %}

{% content-ref url="/pages/51pXU6R7kYpQ8QcA1ue0" %}
[Users](https://docs.bugsplat.com/api-reference/api/users.md)
{% endcontent-ref %}

{% content-ref url="/pages/ULFDPBPp6ZcY6YJFU4mO" %}
[Versions](https://docs.bugsplat.com/api-reference/api/versions.md)
{% endcontent-ref %}

### Curl Example

You can access the web services with a variety of tools. The API authenticates with an [OAuth2](https://docs.bugsplat.com/api-reference/oauth2.md) Client ID and Client Secret, which you can create on the [Integrations](https://app.bugsplat.com/v2/database/integrations#oauth) page. Here’s an example using Curl to exchange them for an access token and query the Fred database:

```bash
token=$(curl -s https://app.bugsplat.com/oauth2/authorize \
  -F grant_type=client_credentials \
  -F client_id="$BUGSPLAT_CLIENT_ID" \
  -F client_secret="$BUGSPLAT_CLIENT_SECRET" \
  | jq -r .access_token)

curl -H "Authorization: Bearer $token" "https://app.bugsplat.com/api/crashes?database=Fred"
curl -H "Authorization: Bearer $token" "https://app.bugsplat.com/api/crash/data?id=58464&database=Fred"
```

Access tokens expire after 24 hours. Request a new one with the same Client ID and Client Secret when yours expires.

### Postman Collection

Several of our API endpoints can be tested via our public [Postman collection](https://www.postman.com/bugsplat/bugsplat-public-workspace/overview).

First, click the top-level `BugSplat` collection folder, select the `Variables` tab, and input variables as necessary. Requests authenticate automatically when you provide values for `client_id` and `client_secret` generated on our [Integrations](https://app.bugsplat.com/v2/database/integrations#oauth) page.

## Special Rules for POST Requests

Requests authenticated with an OAuth2 bearer token don't need an XSRF token. The `Authorization` header is all a POST request needs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bugsplat.com/api-reference/api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
